#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    designer.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kinterfacedesigner )


##### kinterfacedesigner (shared) ###############

tde_add_library( kinterfacedesigner SHARED AUTOMOC
  SOURCES designer.cpp
  LINK tdeparts-shared tdeui-shared
  VERSION 0.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)
